% =======================================================
%   Demo routine illustrating superset characterization
%   of real pseudospectrum, using 5*5 Demmel matrix. 
%
%   WARNING:    the plotting may take up to several minutes,
%               depending on your computational resources.
%               We encourage using MATLAB parallel computation
%               facilities, since PARFOR is called in the code.
%
%   Revised:    Jun. 13, 2016.
% =======================================================

A = [   -1 -5 -25 -125 -625; 
         0 -1  -5  -25 -125; 
         0  0  -1   -5  -25; 
         0  0   0   -1   -5;
         0  0   0    0   -1]; 
B = eye(5);

epsln = .01; % perturbation level

X = linspace(-5, 0.5, 40);  % grid points
Y = linspace(0, 3, 60);

% contour plot 
h1=figure; 
contour_display(A, B, epsln, X, Y, 0, h1, [0,0,0]);
contour_display(A, B, epsln, X, Y, .2, h1, [1,0,0]);
contour_display(A, B, epsln, X, Y, .6, h1, [0,.7,0]);
contour_display(A, B, epsln, X, Y, 1.0, h1, [0,0,1]);
plot(-1, 0, 'ok', 'Markersize', 8, 'linewidth', 2);
return
