function search_display(hstr, k, h, corder)
% search_display(hstr, k, h) 
%   is an auxiliary function to plot the horizontal and vertical 
%   searching lines of the first k (horizontal) search,  
%   using figure handle h.
%
%   Optional:
%       corder (jet)      color order used for plotting
%
%   Revised:    Jun. 13, 2016.

if nargin < 4, corder = jet(k); end

figure(h);
plot(hstr(1,1), hstr(1,2), 'ok','Markersize', 8, 'linewidth',2);
for j = 1 : k 
    stx = hstr(j,1); sty = hstr(j+1,2);
    edx = hstr(j+1,1); edy = hstr(j+1,2);
    plot([stx, edx], [sty,edy],'-k'); % plot jth h-search
    plot([edx], [edy],'ok','Markersize', 8, 'linewidth', 2, 'color', corder(j,:));
    if j > 1 % plot v-search
        itv = hstr(j+1, 5:6);
        stx = hstr(j,1); sty = itv(1);
        edx = hstr(j,1); edy = itv(2); 
        plot([stx, edx], [sty,edy],'-k', 'linewidth',1); % plot jth v-search
        plot([stx, edx], [sty,edy],'xk','Markersize',12,'linewidth',1); 
    end
end

return

